<ion-content [fullscreen]="true" [scrollEvents]="true">
    <div id="container" class="mt-28" [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
        <!-- <app-navbar></app-navbar> -->
        <!-- <div class="h-16 md:h-20">
        </div> -->
        <div class="container mx-auto max-w-screen-xl">
            <div class="grid grid-cols-10 pb-20 md:px-0">
                <div class="col-span-12 md:col-start-2 md:col-end-10">
                    <div>
                        <div class="hidden md:block w-full mb-3" *ngIf="orderDetail">
                            <b class=" order-id capitalize text-xl md:text-3xl">Chi tiết đơn hàng #{{ orderDetail.id }}</b>
                            <div class="w-full grid-cols-12 grid border-b mt-2">
                                <div class="col-span-5"><b>Địa chỉ nhận hàng</b></div>
                                <div class="col-span-3 p-0 margin-right"><b>Hình thức thanh toán</b></div>
                                <div class="col-span-2 p-0"><b>Tình trạng đơn hàng</b></div>
                                <div class="col-span-2 p-0"><b>Tình trạng thanh toán</b></div>
                            </div>
                            <div class="w-100 grid-cols-12 grid my-3">
                                <div class="col-span-5">
                                    <p>
                                        <b>Người nhận:</b> {{ orderDetail.orderAddress.receiver }}
                                    </p>
                                    <p>
                                        Địa chỉ: {{ orderDetail.orderAddress.street }},
                                        {{ orderDetail.orderAddress?.district?.nameDistrict }},
                                        {{ orderDetail.orderAddress?.province?.nameProvince }}
                                    </p>
                                    <p> Số điện thoại: {{ orderDetail.orderAddress.phone }} </p>
                                </div>
                                <div class="col-span-3 p-0 margin-right">
                                    {{ orderDetail.paymentMethod.name }}
                                </div>
                                <div class="col-span-2 p-0">
                                    <span *ngIf="orderDetail.orderStatus == 'PENDING'">Đang xử lí</span>
                                    <span *ngIf="orderDetail.orderStatus == 'SHIPPING'">Đang giao hàng</span>
                                    <span *ngIf="orderDetail.orderStatus == 'DELIVERED'">Đã giao hàng</span>
                                    <span *ngIf="orderDetail.orderStatus == 'CANCELLED'">Đã hủy</span>
                                </div>
                                <div class="col-span-2 p-0">
                                    <span *ngIf="!orderDetail.paymentStatus">Chưa thanh toán</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'WAIT_FOR_PAY'">Chưa thanh toán</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'PAID'">Đã thanh toán</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'CANCELLED'">Đã hủy</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'FULFILLED'">Đã hoàn thành</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'PARTIALLY_FULFILLED'">Hoàn thành một phần</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'UNFULFILLED'">Chưa hoàn thành</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'READY_TO_CAPTURE'">Sãn sàng</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'READY_TO_FULFILL'">Sẵn sàng hoàn thành</span>
                                </div>
                            </div>
                            <div class="grid grid-cols-12 w-full my-3 border-b ">
                                <div class="col-span-5"><b>Sản phẩm</b></div>
                                <div class="col-span-3 p-0 margin-right"><b>Giá</b></div>
                                <div class="col-span-2 p-0"><b>Số lượng</b></div>
                                <div class="col-span-2"><b>Tổng</b></div>
                            </div>
                            <a class="grid grid-cols-12 w-full my-3 item" *ngFor="let item of orderDetail.details"
                                [routerLink]="['/product-detail', item.product.id]">
                                <div class="col-span-5 flex items-center">
                                    <img class="h-28 w-28 rounded-md" [src]="item.product.thumbnail ? item.product.thumbnail : 'assets/image/hshg-2.png'" alt="thumbnail" />
                                    <div class="px-3 product-name">{{ item.product.name }}</div>
                                </div>
                                <div class="col-span-3 flex items-center p-0 margin-right">
                                    {{ item.unitPrice | number: '0.0-1':'vi'}}đ
                                </div>
                                <div class="col-span-2 flex items-center p-0">
                                    {{ item.quantity }}
                                </div>
                                <div class="col-span-2 flex items-center">
                                    {{ item.unitPrice*item.quantity | number: '0.0-1':'vi'}}đ
                                </div>
                            </a>
                            <div class="w-full grid grid-cols-12 mb-4">
                                <div class="col-span-8 margin-right"></div>
                                <div class="col-span-2 p-0"><b>Giảm giá</b></div>
                                <div class="col-span-2 ">
                                    <b>{{ totalDiscount | number: '0.0-1':'vi'}}đ</b>
                                </div>
                            </div>
                            <div class="w-full grid grid-cols-12">
                                <div class="col-span-8 margin-right"></div>
                                <div class="col-span-2 p-0"><b>Tổng cộng</b></div>
                                <div class="col-span-2 ">
                                    <b>{{ orderDetail.totalAmount | number: '0.0-1':'vi'}}đ</b>
                                </div>
                            </div>
                        </div>
                        <div class="block md:hidden " *ngIf="orderDetail">
                            <div class="box mx-3 my-0 md:my-2">
                                <div class="order-id">
                                    <b>Mã đơn hàng:
                                        {{ orderDetail.id }}</b>
                                </div>
                                <div class="createdTime">
                                    Ngày đặt hàng:
                                    {{ orderDetail.created | date: 'MM/dd/yyyy' }}
                                </div>
                                <div class="orderStatus">
                                    Tình trạng đơn hàng:
                                    <span *ngIf="orderDetail.orderStatus == 'PENDING'">Đang xử lí</span>
                                    <span *ngIf="orderDetail.orderStatus == 'SHIPPING'">Đang giao hàng</span>
                                    <span *ngIf="orderDetail.orderStatus == 'DELIVERED'">Đã giao hàng</span>
                                    <span *ngIf="orderDetail.orderStatus == 'CANCELLED'">Đã hủy</span>
                                </div>
                                <div class="orderStatus">
                                    Tình trạng thanh toán:
                                    <span *ngIf="orderDetail.paymentStatus == 'WAIT_FOR_PAY'">Chưa thanh toán</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'PAID'">Đã thanh toán</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'CANCELLED'">Đã hủy</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'FULFILLED'">Đã hoàn thành</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'PARTIALLY_FULFILLED'">Hoàn thành một phần</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'UNFULFILLED'">Chưa hoàn thành</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'READY_TO_CAPTURE'">Sãn sàng</span>
                                    <span *ngIf="orderDetail.paymentStatus == 'READY_TO_FULFILL'">Sẵn sàng hoàn thành</span>
                                </div>
                                <div class="payment">
                                    Phương thức thanh toán:
                                    {{ orderDetail.paymentMethod.name }}
                                </div>
                            </div>
                            <div class="box mx-3 my-2">
                                <p class="title-address"><b class="font-medium">Địa chỉ người nhận</b></p>
                                <div class="name-receiver">
                                    {{ orderDetail.orderAddress.receiver }}
                                </div>
                                <div class="address-receiver">
                                    {{ orderDetail.orderAddress.street }},
                                    {{ orderDetail.orderAddress?.district?.nameDistrict }},
                                    {{ orderDetail.orderAddress?.province?.nameProvince }}
                                </div>
                                <p> Số điện thoại: {{ orderDetail.orderAddress.phone }} </p>
                            </div>
                            <div class="box d-flex flex-column mx-3 my-2 item">
                                <span><b class="font-medium">Thông tin kiện hàng</b></span>
                                <a class="grid grid-cols-12 border-b pb-2 gap-2 my-2 justify-center items-center"
                                    *ngFor="let item of orderDetail.details"
                                    [routerLink]="['/product-detail', item.product.id]">
                                    <div class="col-span-4 pl-0 flex justify-center">
                                        <img class="h-20 w-20 rounded-md" [src]="item.product.thumbnail ? item.product.thumbnail : 'assets/image/hshg-2.png'" alt="" />
                                    </div>
                                    <div class="col-span-8">
                                        <p>{{ item.product.name }}</p>
                                        <p><b class="font-medium">{{ item.product.price | number: '0.0-1':'vi'}}đ</b> x
                                            {{ item.quantity }}</p>
                                    </div>
                                </a>
                                <div class="flex justify-between mt-4 mb-2">
                                    <span><b>Giảm giá</b></span>
                                    <span><b>{{ totalDiscount | number: '0.0-1':'vi'}}đ</b></span>
                                </div>
                                <div class="flex justify-between">
                                    <span><b>Tổng cộng</b></span>
                                    <span class="text-right"><b>{{ orderDetail.totalAmount | number: '0.0-1':'vi'}}đ</b></span>
                                </div>
                            </div>
                        </div>
                        <div *ngIf="!orderDetail" class="my-10 mx-3 text-center md:text-lg" style="min-height: 500px;">
                            <p>Bạn đã đặt hàng thành công. </p> 
                            <p>
                                Chi tiết đơn hàng của bạn đã được gửi đến 
                                <a href="https://gmail.com/" target="_blank" class="font-bold text-black">email</a>
                                mà bạn dùng để đặt hàng.
                            </p>
                            <p>
                                Vui lòng kiểm tra 
                                <a href="https://gmail.com/" class="font-bold text-black">email</a>
                                 để xem lại thông tin chi tiết.
                            </p>
                        </div>
                        <div class="space"></div>
                    </div>
    
                </div>
    
            </div>
        </div>
        
        <app-footer></app-footer>
        <!-- <div class="fixed bottom-20 md:bottom-24 md:right-9 right-5 z-50" onclick="location.href='tel:+84878879959';">
            <img [src]="'assets/image/telephone.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div>
        <div class="fixed bottom-5 md:bottom-7 md:right-9 right-5 z-50" onclick=" window.open('https://m.me/ABHomeDecoration')">
            <img [src]="'assets/image/messenger.svg'" class="cursor-pointer md:h-12 md:w-12 h-10 w-10" alt="messenger">
        </div> -->
    </div>
</ion-content>